# Function zPassThrough

- zPassThrough<T extends ZodTypeAny>(
  schema: T,
  ): ZodIntersection<
  T,
  ZodObject<
  {},
  "passthrough",
  ZodTypeAny,
  objectOutputType<{}, ZodTypeAny, "passthrough">,
  objectInputType<{}, ZodTypeAny, "passthrough">,
  >,
  >

  #### Type Parameters

  - T extends ZodTypeAny

  #### Parameters

  - schema: T

  #### Returns ZodIntersection<
  T,
  ZodObject<
  {},
  "passthrough",
  ZodTypeAny,
  objectOutputType<{}, ZodTypeAny, "passthrough">,
  objectInputType<{}, ZodTypeAny, "passthrough">,
  >,
  >

  - Defined in jamespot-user-api/src/util/zod.ts:21